	/*
		Simple DirectX 11

		File:		PB_Functions.h
		Version:	0.2
		Author:		Nero
	*/

	#pragma once	

	#include <System_Constants.h>

	ext DWORD		*	__stdcall PB_AllocateMemory(DWORD);
	ext void			__stdcall PB_FreeMemory(DWORD*);
	ext DWORD		*	__stdcall PB_ReAllocateMemory(DWORD*, DWORD);
	ext void			__stdcall PB_CopyMemory(DWORD*, DWORD*, DWORD);
	ext DWORD			__stdcall PB_MemorySize(DWORD*);
	ext void			__stdcall PB_FillMemory(DWORD*, DWORD);
	ext  const TCHAR *	__stdcall PB_PeekA(DWORD*);
	ext DWORD			__stdcall PB_CreateXML2(DWORD, DWORD);
	ext DWORD			__stdcall PB_RootXMLNode(DWORD);
	ext DWORD			__stdcall PB_CreateXMLNode(DWORD);

	ext void			__stdcall PB_SetXMLNodeName_UNICODE(DWORD, const TCHAR *);
	ext void			__stdcall PB_SetXMLAttribute_UNICODE(DWORD, const TCHAR *,const TCHAR *);

	ext void			__stdcall PB_FormatXML_UNICODE(DWORD, DWORD);
	ext void			__stdcall PB_IsXML(DWORD);

	ext  const TCHAR *	__stdcall PB_StrU_UNICODE(DWORD, DWORD);
	ext  const TCHAR *	__stdcall PB_MessageRequester_UNICODE(const TCHAR *, const TCHAR *);
	ext void			__stdcall PB_PokeL(DWORD*, DWORD);


	// Makros fr die Unicode funktionen von PB damit die Namen im Code nicht zu lang werden
	#define PB_SetXMLNodeName(A,B)			PB_SetXMLNodeName_UNICODE(A,  B)		
	#define PB_SetXMLAttribute(A,B,C)		PB_SetXMLAttribute_UNICODE(A,  B, C)	
	#define PB_FormatXML(A,B)				PB_FormatXML_UNICODE(A,  B)					