	#include <SimpleDX11.h>

	// Gibt den Pointer zur SimpleDX11 Klasse zurck der bei alles Funktionen bentigt wird
	ext DWORD __stdcall InitSimpleDX11(void)
	{
			SimpleDX11 * sdxPtr = new SimpleDX11();
			if(FAILED(sdxPtr->sdxError))
			{
				delete sdxPtr;
				return 0;
			}
			return (DWORD) sdxPtr;
	}
	// Gibt den letzten fehlercode zur+ck
	ext HRESULT __stdcall SimpleDX11Error(SimpleDX11 * sdxPtr)									{	return sdxPtr->sdxError;					}
	// Lscht die klasse
	ext void __stdcall CloseSimpleDX11(SimpleDX11 * sdxPtr)										{	delete sdxPtr;								}
	// Startet die Untersuchung aller verfgbaren Adapter und erstellt ein XML Dokument
	ext HRESULT __stdcall sdxExamineAdapters(SimpleDX11 * sdxPtr, DWORD * outPtr)				{	return sdxPtr->sdxExamineAdapters(outPtr);	}
	// Screen Initialisieren 
	ext HRESULT __stdcall sdxInitScreen(SimpleDX11 * sdxPtr, D3DAdapterSettings * Settings)		{	return sdxPtr->sdxInitScreen(Settings);		}
	// Screen freigeben 
	ext void __stdcall sdxFreeScreen(SimpleDX11 * sdxPtr)										{	 sdxPtr->sdxFreeScreen();					}

	// Screen leeren
	ext void __stdcall sdxClearScreen(SimpleDX11 * sdxPtr, DWORD Color)							{	 sdxPtr->sdxClearScreen(Color);				}
	// Backbuffer flip 
	ext void __stdcall sdxFlipBuffers(SimpleDX11 * sdxPtr)										{	 sdxPtr->sdxFlipBuffers();					}
	// Unicode zu Cstring
	ext DWORD* __stdcall sdxWChartoChar(SimpleDX11 * sdxPtr, TCHAR* UniStr)						{	 return sdxPtr->sdxWChartoChar(UniStr);		}
