	/*
		Simple DirectX 11

		File:		System_Structures.h
		Version:	0.2
		Author:		Nero
	*/	

	#pragma once	

	struct MSAA
	{
		DWORD Count, Qualities;
	};


	struct RGBA
	{
		float r, g, b, a;
	};


	struct D3DAdapterSettings
	{
		HWND WindowId;
		DWORD AdapterId, OutputId, Width, Height, Numerator, Denominator, MSAACount, MSAAQuality, AnisotropyLvl;  
		bool FullScreen, VSync;
		float nearView, farView;
	};

	struct ShaderList
	{
		TCHAR*		FileName;
		TCHAR*		EntryPoint;
		TCHAR*		Version;
		ID3DBlob*	Shader;
	};